 % ˳ R0-l2-l3 άͼ
clear
clc
format('long')

L2 = linspace(0, 1,  150);
L3 = linspace(0, 1,  150);
R0=[];
U0=[];

for l2 = L2
    for l3= L3
        
%% Ĳǳ
mu = 1/(60-18);   

k1 = 0.09;   
k2 = 0.09;               %  һȾ׶εĸȾ߼
k3 = 0.09;               %  ڶȾ׶εĸȾ߼

% l2 = 0.33;                
% l3 = 0.33;              

rho1 = 1/5.6;     
rho2 = rho1;     
tau1 = 0.0355/2;     
tau2 = (0.44+0.62)/2;      
phi1 = 1/42;  
phi2 = 1/42; 
delta1 = 1/(2*5.6);  
delta2 = 1/(2*5.6); 
psi1 = 0.743;   

aRN = 36.48;  
aCN = 18.2;  
aRT = 36.2;  
aCT = 22.16;  
aRR = 36.2;  
aCR = 22.16;  

etaRN = 0.6137/2;  
etaCN = 0.7530/2;  
etaRT = 0.6327/2;  
etaCT = 0.8280/2;  
etaRR = 0.6327/2;  
etaCR = 0.8280/2; 

varepsilon = 0.4;     
l1 =  0.190029170349720;    
psi2  = 0.477375381915157;          
thetaINS = 0.001248283725771;  
thetaREC = 0.015648550379497;  
omega = 1.630412949654920;    
alpha = 5.013376848909548*1000;
b =  0.501172158652749;
r = 0.556548857633376;

SN00 = alpha./(mu+k1);
ST00 = k1./(mu+l1).*SN00;
SR00 = l1./mu.*ST00;

betaN = aRN.*(1-etaRN)+aCN.*(1-etaCN);   
betaT = aRT.*(1-etaRT)+aCT.*(1-etaCT);        
betaR = aRR.*(1-etaRR)+aCR.*(1-etaCR);     

UN = ((1-thetaREC).^(1-r).*(1-thetaINS).^r).^betaN;
UT = ((1-thetaREC).^(1-r).*(1-thetaINS).^r).^betaT;
UR = ((1-thetaREC).^(1-r).*(1-thetaINS).^r).^betaR;

A = -log(UN).*SN00./(SN00+ST00+SR00);
B = -log(UT).*ST00./(SN00+ST00+SR00);
C = -log(UR).*SR00./(SN00+ST00+SR00);

F = rho1+mu+l2;
G = rho2+mu+l3;
H = rho1+mu+tau1;
J = rho2+mu+tau2;
K = mu+delta1+phi1;
M = mu+delta2+phi2+b;

FF = [A,  omega.*A,  psi1.*A,  psi1.*omega.*A,  psi2.*A,  psi2.*omega.*A,  psi2.*varepsilon.*A, psi2.*varepsilon.*A;
   0, 0, 0, 0, 0, 0, 0, 0;
   B,  omega.*B,  psi1.*B,  psi1.*omega.*B,  psi2.*B,  psi2.*omega.*B,  psi2.*varepsilon.*B, psi2.*varepsilon.*B;
   0, 0, 0, 0, 0, 0, 0, 0;
   C,  omega.*C,  psi1.*C,  psi1.*omega.*C,  psi2.*C,  psi2.*omega.*C,  psi2.*varepsilon.*C, psi2.*varepsilon.*C;
   0, 0, 0, 0, 0, 0, 0, 0;
   0, 0, 0, 0, 0, 0, 0, 0;
   0, 0, 0, 0, 0, 0, 0, 0;
   ];

%%  ѭԼӿٶȣΪֻN,E,;Vвб k2k3.
% L2 = linspace(0, 1,  1000);
% L3 = linspace(0, 1,  1000);
% R0=[];
% U0=[];
% for k2 = K2
%     for k3= K3

N = rho1+mu+k2;
E = rho2+mu+k3;

VV = [N, 0, 0, 0, 0, 0, 0, 0;
   -rho1, E, 0, 0, 0, 0, 0, 0;
   -k2, 0, F, 0, 0, 0, 0, 0;
   0, -k3, -rho1, G, 0, 0, 0, 0;
   0, 0, -l2, 0, H, 0, -phi1, 0;
   0, 0, 0, -l3, -rho1, J, 0, -phi2;
   0, 0, 0, 0, -tau1, 0, K, -b;
   0, 0, 0, 0, 0, -tau2, -delta1, M;
];

MM = FF*inv(VV);
EE = eig(MM);
Y0 = max(abs(EE));
U0 = [U0 Y0];
    end
    
    R0 = [R0; U0];
    U0 = [];
end

[ll2, ll3]=meshgrid(L2, L3); 

figure
mesh(ll2, ll3, real(R0))
xlabel('l_2')
ylabel('l_3')
zlabel('R_0')

figure
contour(ll2, ll3, real(R0))
xlabel('l_2')
ylabel('l_3')

% 뻭ÿȸߵֵߣҼPropertyproperty Editor-Contour group 
% ڣLevel StepѡShow Text ڼɡ
%pause
%meshc(PHO, ARV, R0WJH);

